identify tool: features highlited wrong when a polygon inside a polygon is presnt

2008-01-30 04:57 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10985

Description

Look at the attached screendumps.

Black arrow points at the polygon being queried.

identify_bad.png shows how it is now. This is wrong - although the smaller polygon inside is not being queried, it looks like if it was too.

identify_ok.png shows how it should look like - it is clear which polygon is queried actually.

Associated revisions

Revision b232e316 - 2011-03-03 03:04 AM - Jürgen Fischer

fix #926

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15315 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 949d9fab - 2011-03-03 03:04 AM - Jürgen Fischer

fix #926

git-svn-id: http://svn.osgeo.org/qgis/trunk@15315 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-07-08 10:44 AM - Tim Sutton

- Status changed from Open to In Progress

#2 - 2008-07-10 01:20 AM - Tim Sutton

I had a detailed look at this. The issue lies inside [[QgsRubberBand]]. The polygon drawing routine in that class iterates over multipolygons, but not rings. It

will be possible to add this functionality (and I agree we should) but I dont think its a good idea to make the invasive changes required right at the end of

code freeze / on the point of release. I'm moving this issue over to milestone 1.0.0 and I'll attend to it in the next release cycle.

Regards

Tim
#3 - 2009-06-29 08:13 AM - Giovanni Manghi

Hi,

I gave a try to this on qgis 1.2 (rev. 10988).

If the select tool is used on the outer polygon it selects just it, using the tool on the inner one, it selects both.

This means that this bug has already been fixed?

#4 - 2009-07-09 01:55 AM - Giovanni Manghi

I noticed that by selecting the proper row (the one of the inner polygon) in the attribute table, it possible to select just the inner or the outer polygon. The

select tools does not behave the same, so I guess this is still to fix. Nevertheless should be easy. Pushing the milestone to 1.2.

#5 - 2009-07-16 07:34 AM - Giovanni Manghi

Well,

if Qgis is doing it wrong it is not alone. I just tested gvSIG 1.2 and it behaves exactly the same way (see may last two comments).

So, please leave feedback, if this is the right behaviour we can close the ticket.

#6 - 2009-07-16 09:36 AM - Giovanni Manghi

- Status changed from In Progress to Open

#7 - 2009-12-08 09:41 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

I believe that this can be closed now. See attached screenshots to see how it worls the identify tool now.

Clicking on the outer polygon it kind of highlight also the inner one, but the result window do not show it. Moreover if you click again on the inner polygon it

will get a more dense color and the result appear in the result windows.

Then if you click on the proper result in the result window you'll get highlighted just the inner one.

#8 - 2011-03-02 04:19 AM - Ivan Mincik

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

I am reopening this ticket, because of the behavior of 'identify tool' in current trunk which is the same as in 'identify_bad.png' picture.

Ticket #2190 is duplicate to this issue.

There was also thread in mailinglist r1.

r1 - http://www.mail-archive.com/qgis-developer@lists.osgeo.org/msg02031.html

2025-05-18 2/3

http://www.mail-archive.com/qgis-developer@lists.osgeo.org/msg02031.html


#9 - 2011-03-02 06:04 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

fixed in 15315.
